import { defineStore } from 'pinia'
import { getUserInfo } from '@/api/base'

export interface IUserType {
  info: IInfo[]
  permissions: IPermissions[]
  roles: []
}

export interface IInfo {
  id: string
  mobile: string
  name: string
  email: string
  username: string
  avatar: string
  auth_key: null
}
export interface IPermissions {
  id: string
  name: string
  tag: string
  parent_id: string
  type: number
  desc: string
  effect_uris: string
}
export const useInfoStore = defineStore({
  id: 'map',
  state: (): IUserType => {
    return {
      info: [],
      permissions: [],
      roles: []
    }
  },

  actions: {
    async getUserInfo() {
      const res = await getUserInfo()
      this.info = res.data.info || []
      this.permissions = res.data.permissions || []
      this.roles = res.data.roles || []
    }
  }
})

useInfoStore().getUserInfo()
